org.gradle.api

## Class BuildCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.BuildCancelledException

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class BuildCancelledException
      extends GradleException

  A `BuildCancelledException` is thrown when a build is interrupted due to cancellation request.

  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildCancelledException()`
    `BuildCancelledException(String message)`
    `BuildCancelledException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildCancelledException

          public BuildCancelledException()

    - #### BuildCancelledException

          public BuildCancelledException(String message)

    - #### BuildCancelledException

          public BuildCancelledException(String message,
                                 Throwable cause)